Latest
curl --request GET \
--url https://api.themoviedb.org/3/tv/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": null,
"created_by": [],
"episode_run_time": [],
"first_air_date": "2012-09-29",
"genres": [],
"homepage": "",
"id": 281816,
"in_production": true,
"languages": [],
"last_air_date": "2012-09-29",
"last_episode_to_air": {
"air_date": "2013-03-23",
"episode_number": 13,
"episode_type": "standard",
"id": 5895501,
"name": "Willie Cook Jr & Deondra Dawson",
"overview": "",
"production_code": "",
"runtime": null,
"season_number": 1,
"show_id": 281816,
"still_path": null,
"vote_average": 0,
"vote_count": 0
},
"name": "Crime Stoppers Case Files: Chicago",
"networks": [],
"next_episode_to_air": null,
"number_of_episodes": 1,
"number_of_seasons": 1,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Crime Stoppers Case Files: Chicago",
"overview": "Case Files: Chicago profiles real, recent, and unsolved homicides around the city in an attempt to find the killers and decrease violent crime in Chicago. It airs at 11pm on The CW in the greater Chicagoland area every Saturday.",
"popularity": 0,
"poster_path": null,
"production_companies": [],
"production_countries": [],
"seasons": [
{
"air_date": "2012-09-29",
"episode_count": 13,
"id": 437590,
"name": "Season 1",
"overview": "",
"poster_path": null,
"season_number": 1,
"vote_average": 0
}
],
"spoken_languages": [],
"status": "Returning Series",
"tagline": "",
"type": "Scripted",
"vote_average": 0,
"vote_count": 0
}TV-SERIES
Latest
This endpoint gets the newest TV show ID.
GET
/
3
/
tv
/
latest
Latest
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Latest Example
Example:
false
Example:
[]
Example:
[]
Example:
"2012-09-29"
Example:
[]
Example:
""
Example:
281816
Example:
true
Example:
[]
Example:
"2012-09-29"
Show child attributes
Show child attributes
Example:
"Crime Stoppers Case Files: Chicago"
Example:
[]
Example:
1
Example:
1
Example:
["US"]
Example:
"en"
Example:
"Crime Stoppers Case Files: Chicago"
Example:
"Case Files: Chicago profiles real, recent, and unsolved homicides around the city in an attempt to find the killers and decrease violent crime in Chicago. It airs at 11pm on The CW in the greater Chicagoland area every Saturday."
Example:
0
Example:
[]
Example:
[]
Show child attributes
Show child attributes
Example:
[ { "air_date": "2012-09-29", "episode_count": 13, "id": 437590, "name": "Season 1", "overview": "", "poster_path": null, "season_number": 1, "vote_average": 0 } ]
Example:
[]
Example:
"Returning Series"
Example:
""
Example:
"Scripted"
Example:
0
Example:
0